abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
dnes 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
dnes 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
dnes 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 0
včera 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 24
včera 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 784 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Gentoo + GTK/alsa/cestina

Ku8aZ avatar 22.4.2004 11:50 Ku8aZ | skóre: 17
Gentoo + GTK/alsa/cestina
Přečteno: 64×
Zdravim,

mam nasledujici problem. Uspesne se mi podarilo bez vetsich problemu (nejake errory pri pouziti USE="doc") nainstalovat Gentoo, ale mam v nem nasledujici docela zavazne problemy:
  • GTK+: jako desktop manager pouzivam XFce4.5, ktere je ale maskovane, takze pro jeho nainstalovani to chtelo GTK+-2.2* (minimalne). Takze jsem nainstalovat tuto verzi GTK (2.2.4). Ale ted kdyz chci nainstalovat XMMS, mplayer, grip a podobne s podporou GTK, tak vyzaduji verzi 1.2.10. Tak jsem ji nainstaloval, vse proslo v poradku, ale...v techto aplikacich kdyz dam nastaveni, tak vidim pouze nadpisy zalozek a samotne zalozky jsou prazdne!! Cili by me zajimalo, jak nainstalovat GTK+ tak, abych mohl mit paralelne 2 verze a kazdy program si vybral tu svoji. Takovy GIMP2.0 jede v pohode (ale zas v nem neni napoveda, protoze gtkhtml vyzaduje opet v. 1.2.10!)
  • ALSA: alsu mam natvrdo zkompilovanou do jadra (2.6.5-r1) a pri bootu identifikuje zarizeni (i810). Ale kdyz nainstaluju alsautils a zkusim alsaconf, tak nenajde zadne zarizeni. Zvuk mi nesel, az ted najednou zacal v mplayeru jit... nevim proc. Podporu pro OSS jsem nezkousel zakompilovavat (pujde to, kdyz mam povolenou emulaci v jadre??)
  • CESTINA: Cestina funguje bez problemu, ale v xtermu se mi nezobrazuji ceske znaky. Pouzivam kodovani cs_CZ. I kdyz tam bylo cs_CZ.ISO8859-2, tak to stejne nefungovalo. nevite jak toto vyresit? A taky jak ji zapnout pri startu...uvodni hlasky pro login a posledni prihlaseni mam stale anglicky :-(
  • Pokud byste vedeli, jak tyto problemy resit (hlavne to GTK+, nechce se mi prekompilovavat cely system kvuli GTK a navic bych tam mel rad v.2.x, kdyz to napr. Slackware zvladal uplne v pohode!), tak mi prosim poradte.

    Predem diky a preji pekny den
    Čeho se vlastně člověk bojí, když se bojí tmy...? jabber: ku8az AT jabbim.cz

    Odpovědi

    Ku8aZ avatar 22.4.2004 12:38 Ku8aZ | skóre: 17
    Rozbalit Rozbalit vše Re: Gentoo + GTK/alsa/cestina
    tak GTK je vyreseno. NESMI se kompilovat s CFLAGem -march=pentium4!!

    Sice porad nevim, proc nejede ten alsaconf, ale alsa i OSS funguje, tak po tom snad ani nebudu patrat :-) Ale pokud nekdo poradi, budu jen rad.

    Cestina stale nic, poradi nekdo??

    A jeste jsem zapomnel na jeden problem...nejde nainstalovat IPW2100. Hlasi nejakou chybu pri zapisu do souboru /usr/src/linux/.__modpost.cmd. Docela bych ho ale potreboval nainstalovat...je to divne, protoze do toho souboru je zapis povoleny pro vsechny!
    Čeho se vlastně člověk bojí, když se bojí tmy...? jabber: ku8az AT jabbim.cz
    blami avatar 22.4.2004 13:31 blami | skóre: 29 | Praha
    Rozbalit Rozbalit vše Re: Gentoo + GTK/alsa/cestina
    1) GTK to je mi podivnost, sedim u notebooka na kterem to GTK s timhle flagem zkompilovane chodi dobre. GTK1.2 a GTK2 muzes mit v systemu zcela beztrestne zaroven. Jedna se o defakto uplne rozdilne knihovny (i kdyz 2 je pokracovatel 1.2).
    2) k ALSE ti staci alsamixer (imho), pokud to pise ze nemuze najit hw pravdepodobne si pridal pri kompilaci "dummy sound device" ci tak neco, proste zvukovku ukazujici do /dev/null je tam tusim pro vyvvojarske ucely a tak, tvoje zvukovka se pak v seznamu posunula takze treba alsamixer by se spoustel s parametrem -c a cislo karty. ALSA ma taky nejake zobrazovatko toho ktera karta ma jake cislo, timhle sem se moc nezabyval takze vsecko k tomuhle bodu jsou spis moje domnenky. OSS nepotrebujes.
    3) cestina v xtermu. Paklize mas rozchozenou cestinu (klavesnice a locales pohledej tu ve foru) vse ti funguje akorat nemas spravne fonty. pust 'xfontsel' tam si nacvakej font pro kodovani ISO8859-2 a potom do sveho lokalniho .Xdefaults nebo primo do xterm v appdefaults pridej Xterm*font : tu_radku_kterou_vygeneruje_xfontsel (staci v xfontselu tuknout na select a pak vlozit radku na prislusne misto prostrednim cudlikem mysi). Pokud jde o locale v konzoli muzes to myslim nastavit v nekterem initskriptu.

    co se tyce toho posledniho problemu zkus etc-update...
    Ku8aZ avatar 26.4.2004 15:09 Ku8aZ | skóre: 17
    Rozbalit Rozbalit vše Re: Gentoo + GTK/alsa/cestina
    1) vyreseno...nevim, i v buglistu gentoo je psano, ze se nedoporucuje kompilovat GTK 1.2 s timto flagem.

    2) dummy tam bylo, ted jsem ho odebral a zvukovku to stale nechce najit, ale pritom funguje...zahada. Jeste se mi objevil problem s esd, protoze kdyz pustim napr. XMMS a potom mplayer (oboji zvuk nastaven na esd -- nebo to byt nemusi, staci kdyz bezi demon???) tak mi v mplayeru zvuk poskakuje a dost nechutne skripe...mozna je to chyba mplayeru, mam tam unstable verzi, ktera pri zvetseni obrazu na celou obrazovku a kliknuti mysi pro schovani GUI schova i obraz :-( Musi se kliknou soucasne levym i pravym a nejak to zkouset, aby se objevil..mozna je to jen chyba GUI (skinu)...

    3) etc-update jsem zamozrejme zkousel...stejne jako vsechny mozne *-update. Spis jeste zkusim odebrat z FEATURES sandbox, protoze mi to hlasi chybu u nej...opravdu nemate nikdo zkusenosti s kompilaci IPW2100 modulu v Gentoo?? Nebo alespon jak to pridam ke zdrojakum jadra?? S kompilaci v jadre uz si poradim.

    Jinak je tohle distro zatim to nejlepsi co jsem kdy mel...akorat mi vadi, ze kdyz instaluju nejaky program a on si doinstalovava nejake zavislosti, ze se mi automaticky nepridaji do "world". Nejde to nejak zaridit??

    Predem diky a preji pekny den
    Čeho se vlastně člověk bojí, když se bojí tmy...? jabber: ku8az AT jabbim.cz
    Ku8aZ avatar 26.4.2004 18:32 Ku8aZ | skóre: 17
    Rozbalit Rozbalit vše Re: Gentoo + GTK/alsa/cestina
    Takze si opet odpovim sam :-( Na instalaci IPW2100 se opravdu musi z FEATURES odebrat sandbox. Ted se mi to podarilo nainstalovat.
    Čeho se vlastně člověk bojí, když se bojí tmy...? jabber: ku8az AT jabbim.cz
    Stanislav Brabec avatar 27.4.2004 12:22 Stanislav Brabec | skóre: 45 | Praha
    Rozbalit Rozbalit vše Re: Gentoo + GTK/alsa/cestina
    Jinak je tohle distro zatim to nejlepsi co jsem kdy mel...akorat mi vadi, ze kdyz instaluju nejaky program a on si doinstalovava nejake zavislosti, ze se mi automaticky nepridaji do "world". Nejde to nejak zaridit??

    To není chyba, to je velká vymoženost portage. Proč by se vám měly přidávat do požadavků na systém knihovny, které už za měsíc vůbec nic nemusí požadovat?

    Když dáte --deep --update world, zaktualizují se i tyto knihovny, takže o nic nejde.

    A když dáte --depclean, snažou se ty, které už nejsou potřeba.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.